


var IE6UPDATE_OPTIONS = {
	message	: "Для отображения сайта необходимо обновить версию Internet Explorer. Нажмите тут для обновления.",
	icons_path: "img/ie6update/"
};

function PageSettings(){

	this.httpsPath  = "https://w.qiwi.ru/";
	this.httpPath  = "http://w.qiwi.ru/";

	this.currency			= 	"руб.";
	this.categoryUrl		=	"category.action";
	this.searchUrl			=	"search/main.action";
	this.stateUrl			=	"state.action";
	this.restoreUrl			=	"restore.action";
	this.featureUrl			=	"features/selection.action";
	this.providerLogoUrl	=	"img/old/logo" + "/";

	this.error				=   "Ошибка";
	this.attention			=   "Внимание";

    this.mobile           =   "mobile/promo.action";

	this.ajaxImage		=	"img/tree/spinner.gif";
	this.helpImages		=   "img/old/help/";

	this.credit			=	{
			take			:	"user/credit/nano/take.action",
			payment			:	"user/credit/nano/payment.action",
			amountError		:	"Сумма кредита не может быть меньше 1 рубля",
			ofertaError		:	"Вы должны согласиться с условиями Оферты",
			success			:	"user/credit/nano/success.action"
	};

	this.card 			=	{
			registerHelp	: 	"cardregisterhelp.action",
			checkAmount		: 	"Сумма должна быть положительной",
			selectCardMsg	: 	"Пожалуйста, выберите банк, выпустивший Вашу карту",
			saveMsg			: 	"Введите название карты",
			saveUrl			: 	"user/card/save.action",
			menu			: 	"card/menu.action",
			removeConfirm	: 	"Удалить регистрацию карты из Visa QIWI Wallet?",
			removeUrl		: 	"card/remove.action",
			alfaConfirmUrl	: 	"card/alfaconfirm.action"
	};

	this.webmoney		=	{
			menuUrl				:	"features/webmoney/menu.action",
			mainUrl				:	"features/webmoney/wms.action",
			createUrl			:	"user/features/webmoney/create.action",
			createFormUrl		:	"user/features/webmoney/createform.action",
			createResultUrl		:	"user/features/webmoney/createresult.action",
			rejectUrl			:	"user/features/webmoney/reject.action",
			rejectConfirm		:	"Вы уверены, что хотите отвязать кошелек?",
			rejectError			:	"Не удалось отвязать кошелек",
			acceptUrl			:	"user/features/webmoney/accept.action",
			acceptFormUrl		:	"user/features/webmoney/acceptform.action",
			acceptResultUrl		:	"user/features/webmoney/acceptresult.action",
			smsConfirmationUrl	:	"user/features/webmoney/smsconfirmation.action",
			smsResendUrl		:	"user/features/webmoney/smsresend.action"
	};

	this.location		=	{
			points			: 	"geo/points.action",
			info			: 	"geo/info.action",
			card			:	{
				icon			:	"img/location/crad_s.png",
				shadow			:	"img/location/crad_ten.png"
			},
			cash			:	{
				icon			:	"img/location/geo_nal_s.png",
				shadow			:	"img/location/geo_nal_ten.png"
			},
			cashAndCard			:	{
				icon			:	"img/location/geo_obana_s.png",
				shadow			:	"img/location/geo_obana_ten.png"
			},
			terminal			:	{
				icon			:	"img/location/geo_terminal_s.png",
				shadow			:	"img/location/geo_terminal_ten.png"
			}
	};

	this.qvc 			=	{
		mainmenu		:		"qvc.action",
		rightmenu		:		"qvc/rightmenu.action",
		leftmenu		:		"qvc/leftmenu.action",
		filter			:		"user/qvc/filter.action",
		details			:		"user/qvc/details.action",
		reports			:		"user/qvc/reports.action",
		recentreports	:		"user/qvc/recentreports.action",
		detailsSuccess	:		"SMS выслана",
		buyingInfo		:		"qvc/buyinginfo.action",
		recreating		:		this.httpsPath + "user/qvc/recreate.action",
		recreatingForm	:		"user/qvc/recreatingform.action",
		recreateSuccess	:		"user/qvc/recreatesuccess.action",
		buyingSuccess	:		"user/qvc/buysuccess.action",
		buyingForm		:		"user/qvc/buyingform.action",
		emptyMessage	:		"Для покупки карты необходимо заполнить все поля формы.",
		rusMessage		:		"Использование символов русского алфавита недопустимо",
		removeConfirm	:		"Вы действительно хотите закрыть QVC?",
		buying			:		this.httpsPath + "user/qvc/buy.action",
		createSuccess	:		"user/qvc/createsuccess.action",
		timer			:		"Повторная выписка по счету будет доступна через {0} сек."
	};

    this.qvp            = {
		leftmenu		:		"qvp/leftmenu.action",
		filter			:		"user/qvp/filter.action",
        cards			:		"user/qvp/cards.action",
		reports			:		"user/qvp/reports.action",
		buying			:		this.httpsPath + "user/qvp/buy.action",
		buyingSuccess	:		"user/qvp/buysuccess.action",
        buyingForm		:		"user/qvp/buyingform.action",
        buyingInfo		:		"qvp/buyinginfo.action",
        remove			:		"user/qvp/remove.action",
		removeConfirm	:		"Вы действительно хотите закрыть QVP?",
		info			:		"user/qvp/info.action",
		edit			:		this.httpsPath + "user/qvp/changecardname.action",
		editForm		:		"user/qvp/cardnameform.action",
		emptyMessage	:		"Необходимо заполнить все поля формы.",
		rusMessage		:		"Использование символов русского алфавита недопустимо",
        details			:		"user/qvp/details.action",
        detailsSuccess	:		"SMS выслана",
        createSuccess	:		"user/qvp/createsuccess.action",
        activate		:		this.httpsPath + "user/qvp/activate.action",
        activateForm	:		"user/qvp/activatingform.action",
        activateSuccess	:		"user/qvp/activatesuccess.action",
        citySearch		:		"user/qvp/cityautocomplete.action",
        cities          :       "user/qvp/cities.action"
    };

	this.smsConfirm			=	{
		resendTimer			:	"Повторно запросить код можно будет через {0} сек.",
		smsCodeEmpty		:	"Введите одноразовый код"
	};

	this.transfer		=	{
		leftmenu			:	"transfer/leftmenu.action",
		eggs : {
			emptyMessage		:	"Необходимо заполнить все поля",
			activatationLink	:	"user/transfer/eggs/activate.action",
			successLink			:	"transfer/eggs/success.action",
			formLink			:	"user/transfer/eggs/voucher.action",
            buyLink             :   "user/transfer/eggs/buy.action",
			sendLink			:	"user/transfer/eggs/send.action",
            buy                 :   "Купить",
			send    			:	"Заплатить",
			accountError		:	"Введите корректный адрес электронной почты",
			keyLink				:	"transfer/eggs/key.action",
			filter				:	"transfer/eggs/submenu.action",
			vouchers			:	"user/transfer/eggs/vouchers.action"
		},
		takeout : {
			sendLink			:	"user/transfer/takeout/transaction.action"
		}
	};

	this.oauth			=	{
		confirmLink				:	"user/oauth/confirm.action",
		codeLink				:	"oauthcode.action"
	};

	this.feature 		=	{
		more			:	{
			addUrl			:	"user/features/more/addtofavorite.action",
			removeUrl		:	"user/features/more/removefromfavorite.action",
			successTitle	:	"Избранные платежи",
			successMsg		:	"Услуга добавлена в избранное",
			menu		:	{
				type		:	"FEATURE",
				url			:	"features/more/leftmenu.action"
			}
		},
		ranety			:	{
			check			:	"user/features/ranety/check.action",
			emptyWord		:	"Введите кодовое слово"
		},
		smsConfirmUrl		:	"user/features/smsconfirm/resolve.action"
	};

	this.game 			=	{
		current			:	{
				emptyAnswers:	"Нет ответа на вопрос",
				game		:	"user/game/current/game.action",
				check		:	"user/game/current/check.action"
		}
	};

	this.replenish 			=	{
		mobile			:	{
				url			:	"replenish/mobile.action"
		}
	};

	this.leftmenu 		=	{
		type				: 	"COMMON"
	};

	this.ifree			=	{
			buy				:	"user/ifree/buy.action",
			info			:	"ifree/info.action",
			content			:	"ifree/content.action",
			categories		:	"ifree/categories.action",
			models			:	"ifree/models.action",
			successMessage	:	"Дождитесь sms с ссылкой на купленый контент",
			emptyError		:	"Выберите модель телефона, тип контента и категорию"
	};

	this.messages		=	{
			error			:	"Ошибка при выполнении операции",
			notImplemented	:	"Функциональность не реализована"
	};

	this.blocks			=	{
			userData		:		"userdata.action",
			rightMenu		:		"rightmenu.action",
			favoriteMenu	:		"favoritemenu.action",
			mainMenu		:		"menu.action",
			leftMenu		:		"leftmenu.action",
			bottom			:		"bottom.action"
	};

	this.provider			=	{
		request			:	{
			tileUrl			:	"providers/request.action",
			validationMsg	:	"Заполните хотя бы одно поле"
		}
	};

	this.visa			=	{
		transfer		:	{
			url				:	this.httpsPath + "user/visa/transfer.action",
			successUrl		:	"user/visa/transfersuccess.action"
		},
        refill		:	{
			url				:	this.httpsPath + "user/visa/refill.action",
			successUrl		:	"user/visa/refillsuccess.action"
		},

		message			:	{
			amount_error		:	"Значение суммы превышает текущий баланс",
			incorrect_balance	:	"Не известен текущий баланс",
			empty_balance		:	"Операция невозможна при нулевом балансе",
			incorrect_amount	:	"Некорректное значение",
			min_amount	        :	"Минимальная сумма",
			max_amount	        :	"Превышена максимальная сумма"
		}
	};

	this.translit		=	{
		nativeSymbols		:	"а|б|в|г|д|е|ё|ж|з|и|й|к|л|м|н|о|п|р|с|т|у|ф|х|ц|ч|ш|щ|ъ|ы|ь|э|ю|я|А|Б|В|Г|Д|Е|Ё|Ж|З|И|Й|К|Л|М|Н|О|П|Р|С|Т|У|Ф|Х|Ц|Ч|Ш|Щ|Э|Ю|Я",
		symbols				:	"a|b|v|g|d|e|jo|zh|z|i|j|k|l|m|n|o|p|r|s|t|u|f|kh|c|ch|sh|shh|\"|y|\|eh|ju|ja|A|B|V|G|D|E|Jo|Zh|Z|I|J|K|L|M|N|O|P|R|S|T|U|F|Kh|C|Ch|Sh|Shh|Eh|Ju|Ja",
		delimiter			:	"|"
	};

	this.communication 	= 	{
			message			:	{
				charNumber  				:	500,
				url 						:	"user/communication/message.action",
				inUrl 						:	"user/communication/message.action?direction=IN",
				outUrl 						:	"user/communication/message.action?direction=OUT",
				deleteUrl					:	"user/communication/deletemessage.action",
				sendUrl						:	"user/communication/sendmessage.action",
				textMaxError				:	"Максимальное количество символов",
				textEmptyError				:	"Введите текст сообщения",
				phoneEmptyError				:	"Введите номер адресата"
			},
			joke			:	{
				idError		 				:	"Шутка не выбрана",
				phoneError	 				:	"Введите номер телефона",
				successMessage 				:	"Розыгрыш успешно отправлен",
				successUrl     				:	"user/communication/jokesuccess.action",
				sendUrl     				:	"user/communication/sendjoke.action"
			},
			sms				:	{
				charNumber  				:	160,
				russianCharNumber			:	70,
				sendUrl						:	this.httpsPath + "user/communication/sendsms.action",
				periodError					:	"Укажите дату начала и дату конца периода",
				numberError					:	"Укажите номер телефона",
				textError					:	"Введите текст сообщения",
				maxError					:	"Максимальное количество смс",
				successMessage				:	"Смс была успешно отправлена",
				formUrl						:	"communication/messageform.action?type=SMS"
			},
			calling			:	{
				url							:	this.httpsPath + "user/communication/calling.action",
				successMessage				:	"Заказ принят, дождитесь звонка",
				emptyError					:	"Введите номер телефона",
				incorrectError				:	"Неверный номер телефона"
			}
	};
	this.logoutUrl			=	"logout.action";
	this.login			=	{
			url				:	this.httpsPath + "login.action",
			certUrl			:	this.httpsPath + "certlogin.action",
			formUrl			:	"loginform.action",
			captchaImage	:	"captcha.action?rnd=",
			beginnerUrl		:	"register/passwordform.action",
			smsConfirmUrl	:	"features/smsconfirm/description.action",
			migrateUrl		:	"migrate.action",
			messages		:	{
				empty_phone					:	"Введите номер телефона",
				empty_password				:	"Введите пароль",
				empty_captcha				:	"Введите цифры",
				uncorrect_number_format		:	"Введите номер телефона в федеральном формате без \"8\" и без \"+7\"",
				access_denied				:	"Ошибка доступа",
				reregister_recomendation	: 	"Для избежания проблем с восстановленим пароля и кода подтверждения через SMS\n рекомендуем Вам перерегистрировать кошелёк на номер в федеральном формате\n (МТС-985, Мегафон-925, Билайн-903)"
			}
	};
	this.remind			=	{
			url				:	"remind/main.action",
			phoneEmpty		:	"Введите номер мобильного телефона",
			codeEmpty		:	"Введите надпись, изображённую на рисунке",
			messageTitle	:	"Получение нового пароля",
			undefindText	:	"SMS не отослано.",
			success			:	"На Ваш телефонный номер выслано сообщение, содержащее пароль для входа."
	};
	this.register		=	{
			url				:	"register/main.action",
			captchaImage	:	"register/captcha.action",
			successUrl		:	"regsuccess.action",
			successLink		:	"register/success.action",
			success			:	"На Ваш телефон был выслан пароль.",
			messages		:	{
				empty_agreement				:	"Вы должны согласиться с условиями",
				empty_code					:	"Введите надпись, изображённую на рисунке",
				federal_phone				:	"Для избежания проблем с получением и восстановлением пароля и pin-кода рекомендуем Вам перерегистрировать кошелёк на номер в федеральном формате (МТС-985, Мегафон-925, Билайн-903)",
				empty_phone					:	"Введите номер мобильного телефона"
			}
	};
	this.password		=	{
			url				:	this.httpsPath + "user/settings/changepassword.action",
			formUrl			:	"user/auth/passwordform.action",
			smsUrl			:	this.httpsPath + "user/settings/changepasswordsms.action",
			smsTimer		:	"Для смены пароля вам отправлено SMS с одноразовым кодом.<br> Повторно запросить код можно будет через {0} сек."
	};

	this.autocomplete	=	{
			url				: 	"search/autocomplete.action",
			chooseUrl		: 	"search/chooseprovider.action",
			title			: 	"Остальные результаты"
	};

	this.order			=	{
			paidStatus		:	"оплачен",
			canceledStatus	:	"отменён",
			acceptUrl		:	"user/order/accept.action",
			paymentUrl		:	"user/order/payment.action",
			cancelUrl		:	"user/order/cancel.action",
			filterUrl		:	"order/filter.action",
			selectUrl		:	"user/order/select.action",
			error			:	"Ошибка обработки счета",
			display			:	{
				url				:	"user/order/create.action",
				successUrl		: 	"user/order/success.action",
				incorrectAmount : 	"Некорректное значение суммы",
				emptyTo			: 	"Укажите адресата"
			},
			externalAcceptUrl	:	"order/externalaccept.action",
			confirmUrl		:	"user/order/confirm.action",
			smsConfirmUrl	:	"user/order/smsconfirmation.action",
			smsResendUrl	:	"user/order/smsresend.action",
			fioError		:	"Введите фамилию, имя и отчество"
	};

	this.external			=	{
			login				:	"external/login.action",
			form				:	"external/auth.action",
			remind				:	"external/remind.action",
			password			:	"external/changepassword.action",
			success				:	"reports.action",
			menu				:	"external/menu.action",
			registerSuccess		:	"На Ваш телефон был выслан пароль для входа в Visa QIWI Wallet.",
			registerSuccessTitle:	"Регистрация нового пользователя",
			paymentNoOkUrl		:	"Ваш платеж принят в обработку.<br> Сейчас Вы будете перенаправлены в раздел Отчеты.",
			paymentOkUrl		:	"Ваш платеж принят в обработку.<br> Сейчас Вы будете перенаправлены обратно в магазин.<br> Если этого не произошло, нажмите <a href={0}>здесь</a>.",
			paymentSuccessTitle	:	"Оплата",
			paymentConfirmTitle	:	"Ваш платеж принят в обработку.<br> Для подтверждения платежа перейдите по <a href={0}>ссылке</a>."
	};

	this.iframe				=	{
			paymentNoOkUrl		:	"Ваш платеж принят в обработку.<br> Для перехода в раздел Отчеты Visa QIWI Wallet нажмите <a href={0} target=_blank>здесь</a>.",
			paymentOkUrl		:	"Ваш платеж принят в обработку.<br> Для перехода в раздел Отчеты Visa QIWI Wallet нажмите <a href={0} target=_blank>здесь</a>.<br> Для перехода обратно в магазин нажмите <a href={1} target=_top>здесь</a>.",
			paymentConfirmTitle	:	"Ваш платеж принят в обработку.<br> Для подтверждения платежа перейдите по <a href={0} target=_blank>ссылке</a>."
	};

	this.modes			=	{
			main			:	"qiwi",
			card			:	"card",
			webmoney		:	"webmoney",
			url				:	"modes.action",
			cardcvv			:	"Введите CVV2"
	};

	this.payment		=	{
			url				:	"payment/form.action?id=",
			transactionUrl	: 	this.httpsPath + "user/transaction.action",
			successUrl		:	"transactionsuccess.action",
			checkUrl		:	this.httpsPath + "checkpayment.action",
			dataUrl			:	this.httpsPath + "paymentdata/common.action",
			aviainfoUrl		: 	"aviainfo.action",
			houseinfoUrl	: 	"houseinfo.action",
			smsUrl			:	"payment/smsconfirmation.action",
			smsResendUrl	:	"payment/smsresend.action",
			loginButton		: 	"Войти для оплаты",
			parameters		: 	"Параметры платежа",
			morganInfo		: 	"morgan/info.action",
			errorAmountLimit: 	"Превышено ограничение на сумму платежа",
			errorAmountMin	: 	"Сумма меньше минимальной",
			tax				:	{
				ofertaError		:	"Вы должны согласиться с условиями Оферты",
				fieldsError		:	"Вы должны заполнить все поля формы",
				rulangError		:	"Поля необходимо заполнить русскими буквами",
				confirmLink		:	"tax/confirmform.action"
			},
			pension			:	{
				accountError	:	"Неверно указан СНИЛС"
			},
			transfer		:	{
				qiwimessage		:	"Операция невозможна",
				button			: 	"Перевести",
				confirm			: 	"transfer/confirm.action",
				detect			: 	"transfer/detect.action"
			},
			credit			:	{
				login		: 	"creditlogin.action",
				transaction	: 	"credit/payment/transaction.action",
				maxamount	: 	"Превышена максимальная сумма займа",
				minamount	: 	"Недостаточная сумма займа",
				limitamount	: 	"Займ превышает сумму платежа"
			},
			error			: 	{
				noinfo 			: 	"Информация не найдена"
			},
			anelik			:	{
				confirm			: 	"anelik/confirmform.action",
				recipients		: 	"anelik/recipients.action",
				accountError	: 	"Выберите получателя"
			},
			contact			:	{
				state			:	"contact/state.action"
			},
			freebank		:	{
				bank			: 	"Банк получателя",
				city			: 	"Город банка получателя",
				kaccount		: 	"Корр. счет банка получателя",
				information		: 	"freebank/information.action",
				state			: 	"freebank/state.action",
				confirmform		: 	"freebank/confirmform.action",
				accounttype		: 	"freebank/accounttype.action",
				ndsError		: 	"Отметьте нужный НДС",
				accountError1	: 	"Платеж на данный счет не возможен",
				accountError2	: 	"Платежи возможны только на рублевые счета",
				accountError3	: 	"Выбранный вид платежа не поддерживает счета данного типа",
				additionalError	: 	"Введите любой из дополнительных реквизитов: ИНН отправителя или Адрес отправителя",
				bicError		: 	"Бик банка получателя указан неверно"
			},
			mobile			:	{
				url				: 	this.httpsPath + "mobile/transaction.action",
				detectUrl		: 	"mobile/detect.action",
				modesUrl		: 	"mobile/modes.action",
				errorPhoneEmpty	: 	"Введите номер телефона",
				errorCompany	: 	"Услуга недоступна для вашего оператора",
				error			: 	"По указанному номеру невозможно определить оператора сотовой связи. Воспользуйтесь поиском."
			},
			amount			:	{
				title			:	"Сумма",
				commission		:	"С учетом комиссии",
				not_correct		:	"Некорректная сумма",
				limit			:	"Ограничение на сумму платежа",
				min				:	"Минимальная сумма платежа",
				max				:	"Максимальная сумма платежа"
			},
			auto			:	{
				providersUrl	:	"favorite/autoproviders.action",
				createUrl		:	"favorite/auto.action?id="
			},
			favorite		:	{
				url				:	this.httpsPath + "user/favorite/save.action",
				createUrl		:	"favorite/create.action?id=",
				removeUrl		:	"user/favorite/delete.action",
				removeConfirm	:	"Удалить эту запись?",
				successUrl		:	"favorite/success.action",
				providersUrl	:	"favorite/providers.action",
				confirmUrl		:	"favorite/confirmform.action",
				smsConfirmUrl	:	"user/favorite/smsconfirmation.action",
				smsResendUrl	:	"user/favorite/smsresend.action",
				task			:	{
					url				:	"user/favorite/task.action",
					alarm_error		:	"Некорректные данные",
					day_error		:	"Выберите один или несколько дней выполнения задания"
				}
			},
			tree			:	{
				fieldempty		:	"Укажите значения всех полей",
				headerempty		:	"Выберите верхний уровень",
				headerfull		:	"Выберите нужный пункт",
				empty			:	"Некорректный идентификатор дерева",
				element			:	"treeelement.action",
				levels			:	"treelevels.action?id=",
				level			:	"treelevel.action"
			},
			bank			:	{
				cardError		:	"Неверный номер карты",
				mfoError		:	"Неверный Бик",
				contractError	:	"Неверный номер договора",
				accountEmpty	:	"Выберите тип счета",
				accountError	:	"Неверный номер счёта"
			},
			cashcard		:	{
				invalidcard		: 	"Извините, переводы на карту с таким номером не разрешены. Проверьте номер карты."
			},
			cashvisa		:	{
				check			: 	"cashvisa/checkcountry.action"
			},
			vpb				:	{
				check			: 	"vpb/state.action"
			},
            vatt				:	{
                check			: 	"vatt/state.action"
            },
			mcms		:	{
				check			: 	"mcms/checkcountry.action"
			},
			foreign			:	{
				convert			: 	"foreign/convert.action",
				minValue		: 	"Минимальная сумма платежа {0} руб."
			},
			gibdd			:	{
				confirm			: 	"gibdd/confirmform.action",
				info			: 	"gibdd/info.action",
				favoritesinfo	: 	"gibdd/favoritesinfo.action",
				okato			: 	"gibdd/okato.action",
				state			: 	"gibdd/state.action",
				error			: 	{
					region			: 	"Выберите регион",
					account			: 	"Некорректный номер постановления",
					noinfo 			: 	"Информация не найдена"
				}
			},
			privatemoney	:	{
				confirm			: 	"privatemoney/confirmform.action",
				validateAccount	: 	"Длина номера телефона получателя должна составлять от {0} до {1} цифр",
				validateAccountExact: 	"Длина номера телефона получателя должна составлять {0} цифр"
			},
			rostelecommoscow:	{
				errorExtAccount	: 	"Выберите номер счета"
			},
			unistream		:	{
				stateUrl		: 	"unistream/state.action",
				confirmUrl		: 	"unistream/confirmform.action",
				infoUrl			: 	"unistream/info.action",
				bankInfo		: 	"<a href={0} target=_blank>Список банков и населенных пунктов</a>, поддерживающих услугу «безадресные переводы ЮНИСТРИМ»",
				exchangeUrl		: 	"unistream/exchange.action",
				convertUrl		: 	"unistream/convert.action"
			},
			globalstream		:	{
				exchangeUrl		: 	"globalstream/exchange.action"
			},
			pariba : {
				stateUrl		: 	"pariba/state.action"
			},
			yandex			:	{
				search		: 	"Найдите нужную вам услугу или товар",
				type		: 	"Выберите тип желаемого платежа"
			},
			rosreestr			:	{
				errorday		: 	"Заявка сформирована более 30-ти дней назад. Оплата невозможна"
			},
			empty			:	"Заполните поле",
			not_correct		:	"Некорректные данные"
	};
	this.settings		=	{
			changeUrl				:	this.httpsPath + "user/settings/changepassword.action",
			successUrl				:	"user/settings/passwordchangesuccess.action",
			lowSymbols				:	"абвгдеёжзийклмнопрстуфхцчшщъыьэюя",
			upSymbols				:	"АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ",
			nativeRegexpSymbols		:	"а-яА-Я",
			saveInfoUrl				:	"user/settings/saveinfo.action",
			saveAuthUrl				:	"user/settings/saveauth.action",
			authUrl					:	"user/settings/auth.action",
			smsConfirmUrl			:	"user/settings/smsconfirmation.action",
			smsResendUrl			:	"user/settings/smsresend.action",
			smsCallConfirmUrl		:	"user/settings/callconfirmation.action",
			smsCallResendUrl		:	"user/settings/callresend.action",
			confirmationUrl			:	"user/settings/confirmation.action",
			saveConfirmationUrl		:	"user/settings/saveconfirmation.action",
			saveConfirmationOkUrl	:	"user/settings/confirmationsuccess.action",
			saveSubscribingUrl		:	"user/news/savesubscribing.action",
			appsUrl					:	"user/settings/apps.action",
			lockTokenUrl			:	"user/settings/tokendisable.action",
			lockClientUrl			:	"user/settings/clientdisable.action",
			lockTokenConfirm		:	"Вы действительно хотите заблокировать код доступа?",
			lockClientConfirm		:	"Вы действительно хотите заблокировать все коды доступа?",
			servicesUrl				:	"user/settings/services.action",
			servicesSaveUrl			:	"user/settings/saveservices.action",
			servicesConfirmUrl		:	"user/settings/servicesconfirmation.action",
			servicesResendUrl		:	"user/settings/servicesresend.action",
			servicesSuccessUrl		:	"user/settings/servicessuccess.action",
			messages		:	{
				email_empty			:	"Укажите адрес электронной почты",
				config_label		:	"Настройка конфигурации",
				config_success		:	"Настройки успешно сохранены.",
				complexity_error	:	"Выберите более сложный пароль",
				identity_error		:	"Пароли не должны отличаться",
				empty_newvalue		:	"Введите новый пароль",
				empty_oldvalue		:	"Введите старый пароль",
				empty_auth			:	"Невозможно одновременно отключить авторизацию по паролю и сертификату.",
				empty_confirmvalue	:	"Повторите новый пароль"
			}
	};
	this.report			=	{
			selectUrl	:	"user/report/select.action",
			extrasUrl	:	"report/extras.action",
			submenuUrl		:	"report/submenu.action",
			messages		:	{
				empty_fromDate	:	"Укажите начало периода",
				empty_tillDate	:	"Укажите конец периода",
				compare_date	:	"Дата начала периода не может быть позже его конца"
			}
	};
	this.secure			=	{
			certificateForm		:	"user/certificate/form.action",
			generationUrl		:	"generateCertificate.action",
			passwordEmpty		:	"Введите пароль"
	};
	this.transliterate			=	{
			ru					:	"эюящчшхёжабвгдезийклмнопрстуфцъыьЭЮЯЩЧШХЁЖАБВГДЕЗИЙКЛМНОПРСТУФЦЪЫЬ"
	};
	this.help				=	{
			movieUrl			:	"help/clipwindow.action",
			feedbackUrl			:	"help/feedback.action"
	};
};

function JQueryUIDatepicker(){
	this.settings = {
		closeText: 'X',
		firstDay: 1,
		currentText: 'Сегодня',
		dateFormat: 'dd.mm.yy',
		dayNames: ['Воскресенье',
					'Понедельник',
					'Вторник',
					'Среда',
					'Четверг',
					'Пятница',
					'Суббота'],
		dayNamesMin: ['Вс',
					'Пн',
					'Вт',
					'Ср',
					'Чт',
					'Пт',
					'Сб'],
		dayNamesShort: ['Вск',
					'Пон',
					'Втр',
					'Срд',
					'Чтв',
					'Пят',
					'Суб'],
		monthNames: ['Январь',
					'Февраль',
					'Март',
					'Апрель',
					'Май',
					'Июнь',
					'Июль',
					'Август',
					'Сентябрь',
					'Октябрь',
					'Ноябрь',
					'Декабрь'],
		monthNamesShort: ['Янв',
					'Фев',
					'Мар',
					'Апр',
					'Май',
					'Июн',
					'Июл',
					'Авг',
					'Сен',
					'Окт',
					'Ноя',
					'Дек'],
		nextText: '>',
		prevText: '<'
	};

};

function JQueryUIButtonDatepicker(){
	var prototype = new JQueryUIDatepicker();
	this.settings =  prototype.settings;
	this.settings.showOn = 'button';
	this.settings.buttonImage = 'img/i/iDate.png';
	this.settings.buttonImageOnly = true;
};

function JQueryUIExtDatepicker(dateonly, deftime){
	var prototype = new JQueryUIDatepicker();
	this.settings =  prototype.settings;
	this.settings.maxDate = '0';
	if(!dateonly){
		if(deftime){
            this.settings.dateFormat = this.settings.dateFormat + " "+deftime;
        }else{
            this.settings.dateFormat = this.settings.dateFormat + " 00:00:00";
        }
	}
	this.settings.showOn = 'button';
	this.settings.buttonImage = 'img/i/iDate.png';
	this.settings.buttonImageOnly = true;
};

function JQueryUIAfterDatepicker(dateonly){
	var prototype = new JQueryUIExtDatepicker(dateonly);
	this.settings =  prototype.settings;
	this.settings.maxDate = null;
	this.settings.minDate = '0';
};

jQuery.extend(jQuery.validator.messages, {
	required : "Это поле необходимо заполнить",
	remote : "Пожалуйста, введите правильное значение",
	email : "Пожалуйста, введите корретный адрес электронной почты",
	url : "Пожалуйста, введите корректный URL",
	date : "Пожалуйста, введите корректную дату",
	dateISO : "Пожалуйста, введите корректную дату в формате ISO",
	number : "Пожалуйста, введите число",
	digits : "Пожалуйста, вводите только цифры",
	creditcard : "Пожалуйста, введите правильный номер кредитной карты",
	equalTo : "Пожалуйста, введите такое же значение ещё раз",
	accept : "Пожалуйста, выберите файл с правильным расширением",
	maxlength : jQuery.validator.format("Пожалуйста, введите не больше {0} символов"),
	minlength : jQuery.validator.format("Пожалуйста, введите не меньше {0} символов"),
	rangelength : jQuery.validator.format("Пожалуйста, введите значение длиной от {0} до {1} символов"),
	range : jQuery.validator.format("Пожалуйста, введите число от {0} до {1}"),
	max : jQuery.validator.format("Пожалуйста, введите число, меньшее или равное {0}"),
	min : jQuery.validator.format("Пожалуйста, введите число, большее или равное {0}"),
	regexp : "Пожалуйста, введите корректное значение"
});
